org.apache.synapse.transport.http.conn

## Class ServerSSLSetupHandler

- java.lang.Object
- - org.apache.synapse.transport.http.conn.ServerSSLSetupHandler

- All Implemented Interfaces:
    org.apache.http.nio.reactor.ssl.SSLSetupHandler

      public class ServerSSLSetupHandler
      extends java.lang.Object
      implements org.apache.http.nio.reactor.ssl.SSLSetupHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerSSLSetupHandler(SSLClientAuth clientAuth, java.lang.String[] httpsProtocols, RevocationVerificationManager verificationManager, java.lang.String[] preferredCiphers)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initalize(javax.net.ssl.SSLEngine sslengine)`
    `void` | `verify(org.apache.http.nio.reactor.IOSession iosession, javax.net.ssl.SSLSession sslsession)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerSSLSetupHandler

          public ServerSSLSetupHandler(SSLClientAuth clientAuth,
                                       java.lang.String[] httpsProtocols,
                                       RevocationVerificationManager verificationManager,
                                       java.lang.String[] preferredCiphers)

  - ### Method Detail

    - #### initalize

          public void initalize(javax.net.ssl.SSLEngine sslengine)
                         throws javax.net.ssl.SSLException

      Specified by:
        `initalize` in interface `org.apache.http.nio.reactor.ssl.SSLSetupHandler`
      Throws:
        `javax.net.ssl.SSLException`

    - #### verify

          public void verify(org.apache.http.nio.reactor.IOSession iosession,
                             javax.net.ssl.SSLSession sslsession)
                      throws javax.net.ssl.SSLException

      Specified by:
        `verify` in interface `org.apache.http.nio.reactor.ssl.SSLSetupHandler`
      Throws:
        `javax.net.ssl.SSLException`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.